﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<Person> data = new List<Person>();
            data.Add(new Person() { Id = 1, Name = "Name1", Address = new Street() { Number = 1, Name = "street1" } });
            data.Add(new Person() { Id = 2, Name = "Name2", Address = new Street() { Number = 2, Name = "street2" } });
            data.Add(new Person() { Id = 3, Name = "Name3", Address = new Street() { Number = 3, Name = "street3" } });

            this.DataContext = data;

        }
    }

    public class Street
    {
        public int Number { get; set; }
        public string Name { get; set; }
    }

    public class Person
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public Street Address { get; set; }
    }
}
